! Time-stamp: </home/jacobson/Projects/TM5/proj/chem/enkf_base/src/benkf_constants.F90: 10 May 2006 (Wed) 16:23:09 GMT>

! The purpose of this module is to define constants (F90 keyword "parameter")
! specific to a particular run of the (bio) Ensemble Kalman Filter (benkf)
!
! Note that the 1x1 input directory is expected to contain a file called
! transcom_RRRRRRR.hdf, where "RRRRRRR" is the regtype string below.  This
! file has to contain the 360x180 region map, as variable "budget_region"

module benkf_constants

  public

  integer,parameter		:: nlag = 5
  integer,parameter     :: timestep = 7 

  ! "scenario_base" region constants:

  integer,parameter		:: nparams_in_state= 221
  character(len=7),parameter	:: regtype='olson19'
  integer,parameter		:: nreg_land=11
  integer,parameter		:: npar_land=19
  integer,parameter		:: nreg_ocn=11
  integer,parameter		:: npar_ocn=1
  
  ! "scenario_taka30" region constants:
  
  ! integer,parameter		:: nparams_in_state= 240
  ! character(len=13),parameter	:: regtype='olson19_oif30'
  ! integer,parameter		:: nreg_land=11
  ! integer,parameter		:: npar_land=19
  ! integer,parameter		:: nreg_ocn=30
  ! integer,parameter		:: npar_ocn=1

end module benkf_constants


